#include <iostream>
#include <iomanip>
#include <cmath>
#include <string>

using namespace std;
int main() {
	int a, b;
	cin >> a >> b;

	int prvi = a;
	int drugi = b;

	unsigned int numberOfDigitsA = 0;

	do {
		++numberOfDigitsA;
		prvi /= 10;
	} while (prvi);

	unsigned int numberOfDigitsB = 0;

	do {
		++numberOfDigitsB;
		drugi /= 10;
	} while (drugi);

    int pom = 0;
    int broj = 0;

	if (numberOfDigitsA == numberOfDigitsB) {
        int prva[numberOfDigitsA], druga[numberOfDigitsB];
		int niz[numberOfDigitsA - 1];
		for (int i = 0; i < numberOfDigitsA; i++) {
			prva[i] = a % 10;
			a /= 10;

			druga[i] = b % 10;
			b /= 10;

			if (prva[i] > druga[i]) {
				niz[i] = prva[i];
			}

			else if (prva[i] < druga[i]) {
				niz[i] = druga[i];
			}

			else {
			    niz[i] = 10 * prva[i] + druga[i];
			}
		}

		for (int i = (numberOfDigitsA - 1); i >= 0; i--) {
            pom = broj * 10;
            if (prva[i] == druga[i] && prva[i] != 0) {
                pom = pom * 10;
            }
            cout << pom + niz[i];
		}
	}

	else if (numberOfDigitsA < numberOfDigitsB) {
        int prva[numberOfDigitsA - 1], druga[numberOfDigitsB - 1];
		int niz[numberOfDigitsB - 1];
		for (int i = 0; i < numberOfDigitsB; i++) {
			prva[i] = a % 10;
			a /= 10;

			druga[i] = b % 10;
			b /= 10;

			if (prva[i] > druga[i]) {
				niz[i] = prva[i];
			}

			else if (prva[i] < druga[i]) {
				niz[i] = druga[i];
			}

			else {
			    niz[i] = 10 * prva[i] + druga[i];
			}
		}

		for (int i = (numberOfDigitsB - 1); i >= 0; i--) {
            pom = broj * 10;
            if (prva[i] == druga[i] && prva[i] != 0) {
                pom = pom * 10;
            }
            cout << pom + niz[i];
		}
	}

	else {
        int prva[numberOfDigitsA - 1], druga[numberOfDigitsB - 1];
		int niz[numberOfDigitsA - 1];
		for (int i = 0; i < numberOfDigitsA; i++) {
			prva[i] = a % 10;
			a /= 10;

			druga[i] = b % 10;
			b /= 10;

			if (prva[i] > druga[i]) {
				niz[i] = prva[i];
			}

			else if (prva[i] < druga[i]) {
				niz[i] = druga[i];
			}

			else {
			    niz[i] = 10 * prva[i] + druga[i];
			}
		}

		for (int i = (numberOfDigitsA - 1); i >= 0; i--) {
            pom = broj * 10;
            if (prva[i] == druga[i] && prva[i] != 0) {
                pom = pom * 10;
            }
            cout << pom + niz[i];
		}
	}

	//cout << broj << endl;

	return 0;
}